import { ApiBase } from './ApiBase';
import { CustomSortApi } from '../CustomSortApi';
import { CustomSort, CustomSortState } from '../../AdaptableState/CustomSortState';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { CustomSortInternalApi } from '../Internal/CustomSortInternalApi';
import { ColumnValuesComparer } from '../../AdaptableOptions/CustomSortOptions';
import { LayoutExtendedConfig } from '../../types';
export declare class CustomSortApiImpl extends ApiBase implements CustomSortApi {
    internalApi: CustomSortInternalApi;
    constructor(_adaptable: IAdaptable);
    getCustomSortState(): CustomSortState;
    getCustomSorts(config?: LayoutExtendedConfig): CustomSort[];
    getCustomSortById(id: CustomSort['Uuid'], config?: LayoutExtendedConfig): CustomSort;
    getLiveCustomSorts(): CustomSort[];
    getLiveCustomSortComparers(): ColumnValuesComparer[];
    getActiveCustomSorts(config?: LayoutExtendedConfig): CustomSort[];
    getSuspendedCustomSorts(config?: LayoutExtendedConfig): CustomSort[];
    getCustomSortByColumn(column: string): CustomSort;
    getCustomSortForColumn(columnId: string): CustomSort | undefined;
    addCustomSort(customSort: CustomSort): CustomSort;
    createCustomSort(columnId: string, values: string[]): CustomSort;
    editCustomSort(columnId: string, values: string[]): CustomSort;
    deleteCustomSort(column: string): void;
    suspendCustomSort(customSort: CustomSort): CustomSort;
    unSuspendCustomSort(customSort: CustomSort): CustomSort;
    suspendAllCustomSort(): void;
    unSuspendAllCustomSort(): void;
    openCustomSortSettingsPanel(): void;
}
